linux: 2.6.32-36.79 -proposed tracker

Bug #887727 reported by Herton R. Krzesinski on 2011-11-08
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Herton R. Krzesinski
Prepare-package-meta
Undecided
Herton R. Krzesinski
Prepare-package-ports-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.32-36.79 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 08. November 2011 19:16 UTC
kernel-stable-Prepare-package-end:Thursday, 10. November 2011 19:19 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 10. November 2011 19:19 UTC
kernel-stable-Promote-to-proposed-end:Friday, 11. November 2011 08:31 UTC
kernel-stable-Verification-testing-start:Friday, 11. November 2011 08:31 UTC
kernel-stable-Verification-testing-end:Thursday, 17. November 2011 14:45 UTC
kernel-stable-Certification-testing-start:Thursday, 17. November 2011 14:45 UTC
kernel-stable-Security-signoff-start:Thursday, 17. November 2011 14:45 UTC
kernel-stable-Regression-testing-start:Thursday, 17. November 2011 14:45 UTC
kernel-stable-Security-signoff-end:Thursday, 17. November 2011 19:15 UTC
kernel-stable-Regression-testing-end:Friday, 18. November 2011 21:16 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 30. November 2011 12:30 UTC
kernel-stable-Certification-testing-end:Wednesday, 30. November 2011 12:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 02. December 2011 07:00 UTC
kernel-stable-Promote-to-updates-end:Friday, 02. December 2011 07:00 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-fsl-imx51 - bug 888698
linux-ec2 - bug 888700

description: updated
Martin Pitt (pitti) on 2011-11-11
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2011-11-11
description: updated
Herton R. Krzesinski (herton) wrote :

All bugs verified, verification completed.

Brad Figg (brad-figg) on 2011-11-17
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2011-11-17
description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed.

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2011-11-18
description: updated

The Hardware Certification team have begun testing this -proposed kernel.

We have a potential issues with a couple of servers that we're investigating. Will update the bug as soon as we get a better idea of what's going on.

The information we have at the moment is:

• As far as we can tell the servers halt only when the -proposed kernel is installed. We haven't seen it happen with the release kernel for 10.04.3 yet.
• We once saw the message 'Uhhuh. NMI received for unknown reason 21 on CPU 0.' which may indicate a RAM issue. We will run the memcheck tool and update here with the results.
• Many other servers submit results ok (53 so far)

Contrary to the previous statement, we have established that the systems are halting with the release kernel (2.6.32-33) installed as well. This being the case and given that all the other results look okay, we're declaring this certification-testing-passed. Continue to see the bug above for further details on this problem.

Results for this -proposed kernel : http://people.canonical.com/~hwcert/sru-testing/wk47_2011/lucid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2011-11-30
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-36.79

---------------
linux (2.6.32-36.79) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #887727

  [ Upstream Kernel Changes ]

  * net_sched: Fix qdisc_notify() - CVE-2011-2525
    - LP: #869250
    - CVE-2011-2525
  * ipv6: restore correct ECN handling on TCP xmit
    - LP: #872179
  * nl80211: fix overflow in ssid_len - CVE-2011-2517
    - LP: #869245
    - CVE-2011-2517
  * vm: fix vm_pgoff wrap in stack expansion - CVE-2011-2496
    - LP: #869243
    - CVE-2011-2496
  * vm: fix vm_pgoff wrap in upward expansion - CVE-2011-2496
    - LP: #869243
    - CVE-2011-2496
  * drm: mm: fix range restricted allocations
    - LP: #873130
  * NLM: Don't hang forever on NLM unlock requests - CVE-2011-2491
    - LP: #869237
    - CVE-2011-2491
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 08 Nov 2011 17:20:39 -0200

Changed in linux (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers